
Figure - Bug #114433
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】打开应用的情况下，下划打开控制控制中心，再从屏幕最底部上划，会同时关
闭应用和控制中心
2022-12-08 17:23 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0056.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0057.X101

Reproducibility: Every time Fixed Version: 2022-12-13

Test Type: IT Root cause: 在我们的板子上，由于定制了通知中心控制中心，他们的展开状态，原生逻辑不再适用，因此我们更改了展开状态的判断

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开任意应用

2、下划打开控制控制中心

3、从屏幕最底部上划

【预期结果】

3、仅关闭通知和控制中心

【实际结果】

3、会同时关闭应用和控制中心

History

#1 - 2022-12-09 11:22 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#2 - 2022-12-09 14:01 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to CD FW 曹覃刚

■ Current conclusion

通知栏展开后，launcher获取到的SystemUiState & SYSUI_STATE_NOTIFICATION_PANEL_EXPANDED等于0，导致launcher会响应上滑手势。

■ My analysis 

在onSystemUiStateChanged中添加log后，下拉通知栏发现，SYSUI_STATE_NOTIFICATION_PANEL_EXPANDED标志一直为0，launcher以此判断通知栏未

展开，正常响应手势。

另外还发现通知栏下拉过程中会频繁触发onSystemUiStateChanged，SYSUI_STATE_QUICK_SETTINGS_EXPANDED的值反复跳变，这对性能有影响，还

请分析一下。

2022-12-08 23:34:16.290 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048
2022-12-08 23:34:16.307 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.312 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.336 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.341 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.360 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.364 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.381 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.387 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.415 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.419 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.443 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.448 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.472 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.477 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.511 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.516 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.533 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.538 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

2022-12-08 23:34:16.555 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=0

2022-12-08 23:34:16.560 3521-3540/com.android.launcher3 D/tTAG: onSystemUiStateChanged:

NOTIFICATION_PANEL_EXPANDED=0,QUICK_SETTINGS_EXPANDED=2048

■ Next action

需要通知栏的开发进行分析

#3 - 2022-12-09 18:32 - CD FW 曹覃刚

- Category changed from CD-APP to CD-FW

#4 - 2022-12-12 16:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169553 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com
AF:Notification: Expanded state conditional update for notification panelExpanded state conditional update for notification panelTC-RID: 1201-0201902IssueID:

TS-R-BUG-114433Change-Id: I120ab86d6f8e4c2a71da4bf732e51d2c8db65b72

#5 - 2022-12-12 16:38 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-13

- Root cause set to 在我们的板子上，由于定制了通知中心控制中心，他们的展开状态，原生逻辑不再适用，因此我们更改了展开状态的判断

#6 - 2022-12-13 10:56 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0057.X101

12.13

验证通过

#7 - 2022-12-13 10:57 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

2025-07-04 3/3


